{
  "name": "hello-simple-world",
  "version": "1.0.0",
  "description": "a hello world example for writing a measurement script",
  "license": "GPL-3.0",
  "author": "Manuel Di Cerbo",
  "main": "src/sensor.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "run-processor-dev": "node webpack/pack-processor-dev-server.js",
    "build-processor-browser": "node webpack/pack-processor.js browser",
    "build-processor": "node webpack/pack-processor.js",
    "build-sensor": "node webpack/pack-sensor.js",
    "build-project": "node webpack/pack-project.js",
    "deploy": "node webpack/deploy.js",
    "sensor": "babel-node --presets=@babel/preset-env src/sensor.js",
    "run-sensor-build-processor": "run-s sensor build-processor-browser",
    "build-and-deploy": "run-s build-project deploy",
    "upload": "babel-node --presets=@babel/preset-env webpack/upload.js",
    "auth": "babel-node --presets=@babel/preset-env webpack/auth.js",
    "compile-upload": "run-s build-sensor build-processor upload"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ],
  "eslintConfig": {
    "env": {
      "node": true
    },
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "extends": [
      "standard"
    ],
    "rules": {},
    "globals": {
      "app": true,
      "processor": true,
      "sensor": true
    },
    "root": true
  },
  "dependencies": {
    "@babel/core": "^7.12.17",
    "@babel/node": "^7.12.17",
    "@babel/polyfill": "^7.12.1",
    "@babel/preset-env": "^7.12.17",
    "adm-zip": "^0.4.7",
    "archiver": "^2.1.0",
    "chartist": "^0.11.0",
    "chartist-plugin-fill-donut": "^0.1.4",
    "chartist-plugin-legend": "^0.6.2",
    "chartist-plugin-zoom": "^0.4.1",
    "css-loader": "^0.28.7",
    "fs-cli": "^0.1.1",
    "jquery": "^3.2.1",
    "jshint": "^2.9.5",
    "materialize-css": "^0.100.2",
    "moment": "^2.20.1",
    "npm-run-all": "^4.1.2",
    "oboe": "^2.1.4",
    "opn": "^5.3.0",
    "prompt": "^1.0.0",
    "request": "^2.85.0",
    "serialport": "^9.0.6",
    "sprintf-js": "^1.1.1",
    "standard": "^16.0.3",
    "style-loader": "^0.19.0",
    "webpack": "^5.23.0"
  },
  "devDependencies": {
    "babel-loader": "^8.2.2",
    "clean-webpack-plugin": "^0.1.17",
    "eslint": "^7.20.0",
    "eslint-config-standard": "^16.0.2",
    "eslint-plugin-import": "^2.20.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^5.0.0",
    "file-loader": "^1.1.5",
    "html-webpack-plugin": "^5.2.0",
    "url-loader": "^0.6.2",
    "webpack-dev-server": "^3.11.2"
  }
}
